#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE FOREIGN KEY CONSTRAINTS FOR GOSALESRT SCHEMA
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESRT_SCHEMA}.RETAILER:
echo @
echo ALTER TABLE ${GOSALESRT_SCHEMA}.RETAILER ADD CONSTRAINT FK_710449755 FOREIGN KEY \( RETAILER_TYPE_CODE \) REFERENCES ${GOSALESRT_SCHEMA}.RETAILER_TYPE\( RETAILER_TYPE_CODE\)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESRT_SCHEMA}.RETAILER_CONTACT:
echo @
echo ALTER TABLE ${GOSALESRT_SCHEMA}.RETAILER_CONTACT ADD CONSTRAINT FK_726449812 FOREIGN KEY \( GENDER_CODE        \) REFERENCES ${GOSALESHR_SCHEMA}.GENDER_LOOKUP\( GENDER_CODE\)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESRT_SCHEMA}.RETAILER_CONTACT:
echo @
echo ALTER TABLE ${GOSALESRT_SCHEMA}.RETAILER_CONTACT ADD CONSTRAINT FK_742449869 FOREIGN KEY \( RETAILER_SITE_CODE \) REFERENCES ${GOSALESRT_SCHEMA}.RETAILER_SITE\( RETAILER_SITE_CODE\)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESRT_SCHEMA}.RETAILER_CONTACT:
echo @
echo ALTER TABLE ${GOSALESRT_SCHEMA}.RETAILER_CONTACT ADD CONSTRAINT FK_758449926 FOREIGN KEY \( RETAILER_SITE_CODE \) REFERENCES ${GOSALESRT_SCHEMA}.RETAILER_SITE_MB\( RETAILER_SITE_CODE\)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESRT_SCHEMA}.RETAILER_SITE:
echo @
echo ALTER TABLE ${GOSALESRT_SCHEMA}.RETAILER_SITE ADD CONSTRAINT FK_774449983 FOREIGN KEY \( RTL_COUNTRY_CODE   \) REFERENCES ${GOSALES_SCHEMA}.COUNTRY\( COUNTRY_CODE\)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESRT_SCHEMA}.RETAILER_SITE:
echo @
echo ALTER TABLE ${GOSALESRT_SCHEMA}.RETAILER_SITE ADD CONSTRAINT FK_790450040 FOREIGN KEY \( RETAILER_CODE      \) REFERENCES ${GOSALESRT_SCHEMA}.RETAILER\( RETAILER_CODE\)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESRT_SCHEMA}.RETAILER_SITE_MB:
echo @
echo ALTER TABLE ${GOSALESRT_SCHEMA}.RETAILER_SITE_MB ADD CONSTRAINT FK_806450097 FOREIGN KEY \( RTL_COUNTRY_CODE   \) REFERENCES ${GOSALES_SCHEMA}.COUNTRY\( COUNTRY_CODE\)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESRT_SCHEMA}.RETAILER_SITE_MB:
echo @
echo ALTER TABLE ${GOSALESRT_SCHEMA}.RETAILER_SITE_MB ADD CONSTRAINT FK_822450154 FOREIGN KEY \( RETAILER_CODE      \) REFERENCES ${GOSALESRT_SCHEMA}.RETAILER\( RETAILER_CODE\)
echo @
echo
