#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE FOREIGN KEY CONSTRAINTS FOR GOSALESHR SCHEMA
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE ADD CONSTRAINT FK_1833929755 FOREIGN KEY \( GENDER_CODE        \) REFERENCES ${GOSALESHR_SCHEMA}.GENDER_LOOKUP\( GENDER_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE ADD CONSTRAINT FK_1849929812 FOREIGN KEY \( TERMINATION_CODE   \) REFERENCES ${GOSALESHR_SCHEMA}.TERMINATION_LOOKUP\( TERMINATION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_EXPENSE_DETAIL:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_EXPENSE_DETAIL ADD CONSTRAINT FK_1865929869 FOREIGN KEY \( EXPENSE_TYPE_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.EXPENSE_TYPE\( EXPENSE_TYPE_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_EXPENSE_PLAN:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_EXPENSE_PLAN ADD CONSTRAINT FK_1881929926 FOREIGN KEY \( EXPENSE_TYPE_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.EXPENSE_TYPE\( EXPENSE_TYPE_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_EXPENSE_PLAN:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_EXPENSE_PLAN ADD CONSTRAINT FK_1897929983 FOREIGN KEY \( ORGANIZATION_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.ORGANIZATION\( ORGANIZATION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY ADD CONSTRAINT FK_1913930040 FOREIGN KEY \( BRANCH_CODE        \) REFERENCES ${GOSALES_SCHEMA}.BRANCH\( BRANCH_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY ADD CONSTRAINT FK_1929930097 FOREIGN KEY \( EMPLOYEE_CODE      \) REFERENCES ${GOSALESHR_SCHEMA}.EMPLOYEE\( EMPLOYEE_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY ADD CONSTRAINT FK_1945930154 FOREIGN KEY \( ORGANIZATION_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.ORGANIZATION\( ORGANIZATION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY ADD CONSTRAINT FK_1961930211 FOREIGN KEY \( POSITION_CODE      \) REFERENCES ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT\( POSITION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_HISTORY ADD CONSTRAINT FK_1977930268 FOREIGN KEY \( POSITION_CODE      \) REFERENCES ${GOSALESHR_SCHEMA}.POSITION_LOOKUP\( POSITION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_RESULTS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_RESULTS ADD CONSTRAINT FK_1993930325 FOREIGN KEY \( EMPLOYEE_TOPIC_CODE \) REFERENCES ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_TOPIC\( EMPLOYEE_TOPIC_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_RESULTS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_RESULTS ADD CONSTRAINT FK_2009930382 FOREIGN KEY \( ORGANIZATION_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.ORGANIZATION\( ORGANIZATION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_RESULTS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_RESULTS ADD CONSTRAINT FK_2025930439 FOREIGN KEY \( POSITION_CODE      \) REFERENCES ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT\( POSITION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_RESULTS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_RESULTS ADD CONSTRAINT FK_2041930496 FOREIGN KEY \( SATISFACTION_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.SATISFACTION_INDEX\( SATISFACTION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_TARGETS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_TARGETS ADD CONSTRAINT FK_2057930553 FOREIGN KEY \( EMPLOYEE_TOPIC_CODE \) REFERENCES ${GOSALESHR_SCHEMA}.EMPLOYEE_SURVEY_TOPIC\( EMPLOYEE_TOPIC_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EXPENSE_TYPE:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EXPENSE_TYPE ADD CONSTRAINT FK_2089930667 FOREIGN KEY \( EXPENSE_GROUP_CODE \) REFERENCES ${GOSALESHR_SCHEMA}.EXPENSE_GROUP\( EXPENSE_GROUP_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.EXPENSE_TYPE:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.EXPENSE_TYPE ADD CONSTRAINT FK_2105930724 FOREIGN KEY \( EXPENSE_UNIT_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.EXPENSE_UNIT\( EXPENSE_UNIT_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT ADD CONSTRAINT FK_166447817 FOREIGN KEY \( DEPARTMENT_CODE    \) REFERENCES ${GOSALESHR_SCHEMA}.DEPARTMENT_LOOKUP\( DEPARTMENT_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT ADD CONSTRAINT FK_182447874 FOREIGN KEY \( POSITION_CODE      \) REFERENCES ${GOSALESHR_SCHEMA}.POSITION_LOOKUP\( POSITION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.POSITION_SUMMARY:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.POSITION_SUMMARY ADD CONSTRAINT FK_198447931 FOREIGN KEY \( ORGANIZATION_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.ORGANIZATION\( ORGANIZATION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.POSITION_SUMMARY:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.POSITION_SUMMARY ADD CONSTRAINT FK_214447988 FOREIGN KEY \( POSITION_CODE      \) REFERENCES ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT\( POSITION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.RANKING_RESULTS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.RANKING_RESULTS ADD CONSTRAINT FK_630449470 FOREIGN KEY \( RANKING_CODE       \) REFERENCES ${GOSALESHR_SCHEMA}.RANKING\( RANKING_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.RECRUITMENT:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.RECRUITMENT ADD CONSTRAINT FK_646449527 FOREIGN KEY \( BRANCH_CODE        \) REFERENCES ${GOSALES_SCHEMA}.BRANCH\( BRANCH_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.RECRUITMENT:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.RECRUITMENT ADD CONSTRAINT FK_662449584 FOREIGN KEY \( ORGANIZATION_CODE  \) REFERENCES ${GOSALESHR_SCHEMA}.ORGANIZATION\( ORGANIZATION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.RECRUITMENT:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.RECRUITMENT ADD CONSTRAINT FK_678449641 FOREIGN KEY \( POSITION_CODE      \) REFERENCES ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT\( POSITION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.RECRUITMENT:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.RECRUITMENT ADD CONSTRAINT FK_694449698 FOREIGN KEY \( RECRUITMENT_MEDIUM_CODE \) REFERENCES ${GOSALESHR_SCHEMA}.RECRUITMENT_MEDIUM\( RECRUITMENT_MEDIUM_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.SUCCESSION_DETAILS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.SUCCESSION_DETAILS ADD CONSTRAINT FK_1062451009 FOREIGN KEY \( POSITION_CODE      \) REFERENCES ${GOSALESHR_SCHEMA}.POSITION_DEPARTMENT\( POSITION_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.SUCCESSION_DETAILS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.SUCCESSION_DETAILS ADD CONSTRAINT FK_1078451066 FOREIGN KEY \( SUCCESSOR_STATUS_CODE \) REFERENCES ${GOSALESHR_SCHEMA}.SUCCESSOR_STATUS\( SUCCESSOR_STATUS_CODE\) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE ${GOSALESHR_SCHEMA}.TRAINING_DETAILS:
echo @
echo ALTER TABLE ${GOSALESHR_SCHEMA}.TRAINING_DETAILS ADD CONSTRAINT FK_1110451180 FOREIGN KEY \( COURSE_CODE        \) REFERENCES ${GOSALESHR_SCHEMA}.TRAINING\( COURSE_CODE\) NOT ENFORCED
echo @
echo
