@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE INDEXES FOR GOSALESMR SCHEMA
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145909930 ON %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS (PRODUCT_SURVEY_DATE ,
echo ORGANIZATION_CODE ,
echo COUNTRY_CODE_RETAILER ,
echo SALES_BRANCH_CODE ,
echo PRODUCT_NUMBER ,
echo PRODUCT_TOPIC_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TARGETS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145911650 ON %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TARGETS (PRODUCT_SURVEY_YEAR ,
echo PRODUCT_SURVEY_MONTH ,
echo PRODUCT_NUMBER ,
echo PRODUCT_TOPIC_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TOPIC:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145911730 ON %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TOPIC (PRODUCT_TOPIC_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.PROMOTION_BUNDLE_GROUP:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145911750 ON %GOSALESMR_SCHEMA%.PROMOTION_BUNDLE_GROUP (BUNDLE_GROUP_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.PROMOTION_CAMPAIGN:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145911790 ON %GOSALESMR_SCHEMA%.PROMOTION_CAMPAIGN (CAMPAIGN_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145911850 ON %GOSALESMR_SCHEMA%.PROMOTION_PLAN (PROMOTION_YEAR ,
echo PROMOTION_MONTH ,
echo ORGANIZATION_CODE ,
echo COUNTRY_CODE_RETAILER ,
echo SALES_BRANCH_CODE ,
echo PRODUCT_NUMBER ,
echo PROMOTION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.PROMOTIONS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145912000 ON %GOSALESMR_SCHEMA%.PROMOTIONS (PROMOTION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145912040 ON %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS (RETAILER_SURVEY_DATE ,
echo ORGANIZATION_CODE ,
echo COUNTRY_CODE_RETAILER ,
echo SALES_BRANCH_CODE ,
echo RETAILER_CODE ,
echo RETAILER_TOPIC_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_TARGETS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145912230 ON %GOSALESMR_SCHEMA%.RETAILER_SURVEY_TARGETS (RETAILER_TOPIC_CODE ,
echo RETAILER_SURVEY_YEAR ,
echo RETAILER_SURVEY_MONTH )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_TOPIC:
echo @
echo CREATE UNIQUE  INDEX %GOSALESMR_SCHEMA%.IX090616145912280 ON %GOSALESMR_SCHEMA%.RETAILER_SURVEY_TOPIC (RETAILER_TOPIC_CODE )
echo @
echo.

