@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE FOREIGN KEY CONSTRAINTS FOR GOSALESRT SCHEMA
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESRT_SCHEMA%.RETAILER:
echo @
echo ALTER TABLE %GOSALESRT_SCHEMA%.RETAILER ADD CONSTRAINT FK_710449755 FOREIGN KEY ( RETAILER_TYPE_CODE ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER_TYPE( RETAILER_TYPE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT:
echo @
echo ALTER TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT ADD CONSTRAINT FK_726449812 FOREIGN KEY ( GENDER_CODE        ) REFERENCES %GOSALESHR_SCHEMA%.GENDER_LOOKUP( GENDER_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT:
echo @
echo ALTER TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT ADD CONSTRAINT FK_742449869 FOREIGN KEY ( RETAILER_SITE_CODE ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER_SITE( RETAILER_SITE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT:
echo @
echo ALTER TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT ADD CONSTRAINT FK_758449926 FOREIGN KEY ( RETAILER_SITE_CODE ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER_SITE_MB( RETAILER_SITE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE:
echo @
echo ALTER TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE ADD CONSTRAINT FK_774449983 FOREIGN KEY ( RTL_COUNTRY_CODE   ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE:
echo @
echo ALTER TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE ADD CONSTRAINT FK_790450040 FOREIGN KEY ( RETAILER_CODE      ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER( RETAILER_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE_MB:
echo @
echo ALTER TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE_MB ADD CONSTRAINT FK_806450097 FOREIGN KEY ( RTL_COUNTRY_CODE   ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE_MB:
echo @
echo ALTER TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE_MB ADD CONSTRAINT FK_822450154 FOREIGN KEY ( RETAILER_CODE      ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER( RETAILER_CODE) NOT ENFORCED
echo @
echo.
