@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE INDEXES FOR GOSALESRT SCHEMA
echo  echo CREATING INDEX ON TABLE %GOSALESRT_SCHEMA%.ACTIVITY_STATUS_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX %GOSALESRT_SCHEMA%.IX090616145912450 ON %GOSALESRT_SCHEMA%.ACTIVITY_STATUS_LOOKUP (ACTIVITY_STATUS_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESRT_SCHEMA%.RETAILER:
echo @
echo CREATE UNIQUE  INDEX %GOSALESRT_SCHEMA%.IX090616145912500 ON %GOSALESRT_SCHEMA%.RETAILER (RETAILER_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESRT_SCHEMA%.RETAILER_ACTIVITY:
echo @
echo CREATE UNIQUE  INDEX %GOSALESRT_SCHEMA%.IX090616145912560 ON %GOSALESRT_SCHEMA%.RETAILER_ACTIVITY (RETAILER_CODE ,
echo RETAILER_YEAR ,
echo RETAILER_MONTH )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT:
echo @
echo CREATE UNIQUE  INDEX %GOSALESRT_SCHEMA%.IX090616145912700 ON %GOSALESRT_SCHEMA%.RETAILER_CONTACT (RETAILER_CONTACT_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE:
echo @
echo CREATE UNIQUE  INDEX %GOSALESRT_SCHEMA%.IX090616145912760 ON %GOSALESRT_SCHEMA%.RETAILER_SITE (RETAILER_SITE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE_MB:
echo @
echo CREATE UNIQUE  INDEX %GOSALESRT_SCHEMA%.IX090616145912840 ON %GOSALESRT_SCHEMA%.RETAILER_SITE_MB (RETAILER_SITE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESRT_SCHEMA%.RETAILER_TYPE:
echo @
echo CREATE UNIQUE  INDEX %GOSALESRT_SCHEMA%.IX090616145912900 ON %GOSALESRT_SCHEMA%.RETAILER_TYPE (RETAILER_TYPE_CODE )
echo @
echo.

