@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN


echo --CREATE TABLES FOR GOSALESRT SCHEMA
echo echo CREATING TABLE %GOSALESRT_SCHEMA%.ACTIVITY_STATUS_LOOKUP:
echo @
echo CREATE TABLE %GOSALESRT_SCHEMA%.ACTIVITY_STATUS_LOOKUP (ACTIVITY_STATUS_CODE SMALLINT NOT NULL,
echo ACTIVITY_STATUS_EN VARCHAR (60         ),
echo ACTIVITY_STATUS_DE VARCHAR (60         ),
echo ACTIVITY_STATUS_FR VARCHAR (60         ),
echo ACTIVITY_STATUS_JA VARCHAR (60         ),
echo ACTIVITY_STATUS_CS VARCHAR (60         ),
echo ACTIVITY_STATUS_DA VARCHAR (60         ),
echo ACTIVITY_STATUS_EL VARCHAR (60         ),
echo ACTIVITY_STATUS_ES VARCHAR (60         ),
echo ACTIVITY_STATUS_FI VARCHAR (60         ),
echo ACTIVITY_STATUS_HU VARCHAR (60         ),
echo ACTIVITY_STATUS_ID VARCHAR (60         ),
echo ACTIVITY_STATUS_IT VARCHAR (60         ),
echo ACTIVITY_STATUS_KO VARCHAR (60         ),
echo ACTIVITY_STATUS_MS VARCHAR (60         ),
echo ACTIVITY_STATUS_NL VARCHAR (60         ),
echo ACTIVITY_STATUS_NO VARCHAR (60         ),
echo ACTIVITY_STATUS_PL VARCHAR (60         ),
echo ACTIVITY_STATUS_PT VARCHAR (60         ),
echo ACTIVITY_STATUS_RU VARCHAR (60         ),
echo ACTIVITY_STATUS_SC VARCHAR (60         ),
echo ACTIVITY_STATUS_SV VARCHAR (60         ),
echo ACTIVITY_STATUS_TC VARCHAR (60         ),
echo ACTIVITY_STATUS_TH VARCHAR (60         ))
echo IN %GOSALES_DB%.%GOSALES_TS%
echo @
echo echo CREATING TABLE %GOSALESRT_SCHEMA%.RETAILER:
echo @
echo CREATE TABLE %GOSALESRT_SCHEMA%.RETAILER (RETAILER_CODE INTEGER NOT NULL,
echo COMPANY_NAME VARCHAR (150        )NOT NULL,
echo COMPANY_NAME_MB VARCHAR (150        )NOT NULL,
echo RETAILER_TYPE_CODE INTEGER NOT NULL,
echo RETAILER_START_DATE TIMESTAMP )
echo IN %GOSALES_DB%.%GOSALES_TS%
echo @
echo echo CREATING TABLE %GOSALESRT_SCHEMA%.RETAILER_ACTIVITY:
echo @
echo CREATE TABLE %GOSALESRT_SCHEMA%.RETAILER_ACTIVITY (RETAILER_CODE INTEGER NOT NULL,
echo RETAILER_YEAR SMALLINT NOT NULL,
echo RETAILER_MONTH SMALLINT NOT NULL,
echo RETAILER_SALES DECIMAL (19         ,2     ))
echo IN %GOSALES_DB%.%GOSALES_TS%
echo @
echo echo CREATING TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT:
echo @
echo CREATE TABLE %GOSALESRT_SCHEMA%.RETAILER_CONTACT (RETAILER_CONTACT_CODE INTEGER NOT NULL,
echo RETAILER_SITE_CODE INTEGER NOT NULL,
echo FIRST_NAME VARCHAR (75         )NOT NULL,
echo LAST_NAME VARCHAR (90         )NOT NULL,
echo FIRST_NAME_MB VARCHAR (75         ),
echo LAST_NAME_MB VARCHAR (90         ),
echo GENDER_CODE SMALLINT NOT NULL,
echo JOB_POSITION_EN VARCHAR (120        )NOT NULL,
echo JOB_POSITION_FR VARCHAR (120        )NOT NULL,
echo JOB_POSITION_DE VARCHAR (120        )NOT NULL,
echo JOB_POSITION_NL VARCHAR (120        )NOT NULL,
echo JOB_POSITION_JA VARCHAR (120        )NOT NULL,
echo JOB_POSITION_CS VARCHAR (120        )NOT NULL,
echo JOB_POSITION_HU VARCHAR (120        )NOT NULL,
echo JOB_POSITION_KO VARCHAR (120        )NOT NULL,
echo JOB_POSITION_PT VARCHAR (120        )NOT NULL,
echo JOB_POSITION_SC VARCHAR (120        )NOT NULL,
echo JOB_POSITION_TC VARCHAR (120        )NOT NULL,
echo JOB_POSITION_DA VARCHAR (120        )NOT NULL,
echo JOB_POSITION_EL VARCHAR (120        )NOT NULL,
echo JOB_POSITION_FI VARCHAR (120        )NOT NULL,
echo JOB_POSITION_IT VARCHAR (120        )NOT NULL,
echo JOB_POSITION_NO VARCHAR (120        )NOT NULL,
echo JOB_POSITION_PL VARCHAR (120        )NOT NULL,
echo JOB_POSITION_RU VARCHAR (120        )NOT NULL,
echo JOB_POSITION_SV VARCHAR (120        )NOT NULL,
echo JOB_POSITION_ES VARCHAR (120        )NOT NULL,
echo JOB_POSITION_TH VARCHAR (120        )NOT NULL,
echo JOB_POSITION_MS VARCHAR (120        ),
echo JOB_POSITION_ID VARCHAR (120        ),
echo PHONE_NUMBER VARCHAR (60         )NOT NULL,
echo EXTENSION VARCHAR (18         ),
echo FAX VARCHAR (60         ),
echo EMAIL VARCHAR (120        ))
echo IN %GOSALES_DB%.%GOSALES_TS%
echo @
echo echo CREATING TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE:
echo @
echo CREATE TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE (RETAILER_SITE_CODE INTEGER NOT NULL,
echo RETAILER_CODE INTEGER NOT NULL,
echo RTL_ADDRESS1 VARCHAR (120        )NOT NULL,
echo RTL_ADDRESS2 VARCHAR (120        ),
echo RTL_CITY VARCHAR (90         )NOT NULL,
echo RTL_PROV_STATE VARCHAR (90         ),
echo RTL_POSTAL_ZONE VARCHAR (30         ),
echo RTL_COUNTRY_CODE INTEGER NOT NULL,
echo RTL_ACTIVITY_STATUS_CODE SMALLINT NOT NULL,
echo RETAILER_SITE_START_DATE TIMESTAMP )
echo IN %GOSALES_DB%.%GOSALES_TS%
echo @
echo echo CREATING TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE_MB:
echo @
echo CREATE TABLE %GOSALESRT_SCHEMA%.RETAILER_SITE_MB (RETAILER_SITE_CODE INTEGER NOT NULL,
echo RETAILER_CODE INTEGER NOT NULL,
echo RTL_ADDRESS1 VARCHAR (120        )NOT NULL,
echo RTL_ADDRESS2 VARCHAR (120        ),
echo RTL_CITY VARCHAR (90         )NOT NULL,
echo RTL_PROV_STATE VARCHAR (90         ),
echo RTL_POSTAL_ZONE VARCHAR (30         ),
echo RTL_COUNTRY_CODE INTEGER NOT NULL,
echo RTL_ACTIVITY_STATUS_CODE SMALLINT NOT NULL,
echo RETAILER_SITE_START_DATE TIMESTAMP )
echo IN %GOSALES_DB%.%GOSALES_TS%
echo @
echo echo CREATING TABLE %GOSALESRT_SCHEMA%.RETAILER_TYPE:
echo @
echo CREATE TABLE %GOSALESRT_SCHEMA%.RETAILER_TYPE (RETAILER_TYPE_CODE INTEGER NOT NULL,
echo TYPE_NAME_EN VARCHAR (105        )NOT NULL,
echo TYPE_NAME_FR VARCHAR (105        )NOT NULL,
echo TYPE_NAME_DE VARCHAR (105        )NOT NULL,
echo TYPE_NAME_NL VARCHAR (105        )NOT NULL,
echo TYPE_NAME_JA VARCHAR (105        )NOT NULL,
echo TYPE_NAME_CS VARCHAR (105        )NOT NULL,
echo TYPE_NAME_HU VARCHAR (105        )NOT NULL,
echo TYPE_NAME_KO VARCHAR (105        )NOT NULL,
echo TYPE_NAME_PT VARCHAR (105        )NOT NULL,
echo TYPE_NAME_SC VARCHAR (105        )NOT NULL,
echo TYPE_NAME_TC VARCHAR (105        )NOT NULL,
echo TYPE_NAME_DA VARCHAR (105        )NOT NULL,
echo TYPE_NAME_EL VARCHAR (105        )NOT NULL,
echo TYPE_NAME_FI VARCHAR (105        )NOT NULL,
echo TYPE_NAME_IT VARCHAR (105        )NOT NULL,
echo TYPE_NAME_NO VARCHAR (105        )NOT NULL,
echo TYPE_NAME_PL VARCHAR (105        )NOT NULL,
echo TYPE_NAME_RU VARCHAR (105        )NOT NULL,
echo TYPE_NAME_SV VARCHAR (105        )NOT NULL,
echo TYPE_NAME_ES VARCHAR (105        )NOT NULL,
echo TYPE_NAME_TH VARCHAR (105        )NOT NULL,
echo TYPE_NAME_MS VARCHAR (105        ),
echo TYPE_NAME_ID VARCHAR (105        ))
echo IN %GOSALES_DB%.%GOSALES_TS%
echo @
echo.
