@ECHO OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
echo.
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo THIS SCRIPT MUST BE CALLED FROM "setupGSDB.bat" - QUITTING
GOTO :EOF
:CONTINUE_RUN

echo -- DROP STORED PROCEDURES AND VERIFY TABLE > GOSALES_DROP.SQL
echo DROP PROCEDURE %GOSALES_SCHEMA%.VERIFY_DATA  >> GOSALES_DROP.SQL
echo @ >> GOSALES_DROP.SQL
echo DROP TABLE %GOSALES_SCHEMA%.VERIFY  >> GOSALES_DROP.SQL
echo @ >> GOSALES_DROP.SQL
echo DROP PROCEDURE %GOSALES_SCHEMA%.ASSIGNSTAFF  >> GOSALES_DROP.SQL
echo @ >> GOSALES_DROP.SQL
echo. >> GOSALES_DROP.SQL

REM DROP CONSTRAINTS
IF EXIST GOSALES_DROP_CONSTRAINTS.BAT CALL GOSALES_DROP_CONSTRAINTS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESHR_DROP_CONSTRAINTS.BAT CALL GOSALESHR_DROP_CONSTRAINTS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESMR_DROP_CONSTRAINTS.BAT CALL GOSALESMR_DROP_CONSTRAINTS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESRT_DROP_CONSTRAINTS.BAT CALL GOSALESRT_DROP_CONSTRAINTS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESCT_DROP_CONSTRAINTS.BAT CALL GOSALESCT_DROP_CONSTRAINTS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESDW_DROP_CONSTRAINTS.BAT CALL GOSALESDW_DROP_CONSTRAINTS.BAT >> GOSALES_DROP.SQL

REM DROP VIEWS
IF EXIST GOSALES_DROP_VIEWS.BAT CALL GOSALES_DROP_VIEWS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESHR_DROP_VIEWS.BAT CALL GOSALESHR_DROP_VIEWS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESMR_DROP_VIEWS.BAT CALL GOSALESMR_DROP_VIEWS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESRT_DROP_VIEWS.BAT CALL GOSALESRT_DROP_VIEWS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESCT_DROP_VIEWS.BAT CALL GOSALESCT_DROP_VIEWS.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESDW_DROP_VIEWS.BAT CALL GOSALESDW_DROP_VIEWS.BAT >> GOSALES_DROP.SQL

REM DROP PK
IF EXIST GOSALES_DROP_PK.BAT CALL GOSALES_DROP_PK.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESHR_DROP_PK.BAT CALL GOSALESHR_DROP_PK.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESMR_DROP_PK.BAT CALL GOSALESMR_DROP_PK.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESRT_DROP_PK.BAT CALL GOSALESRT_DROP_PK.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESCT_DROP_PK.BAT CALL GOSALESCT_DROP_PK.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESDW_DROP_PK.BAT CALL GOSALESDW_DROP_PK.BAT >> GOSALES_DROP.SQL

REM DROP INDEXES
IF EXIST GOSALES_DROP_INDEXES.BAT CALL GOSALES_DROP_INDEXES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESHR_DROP_INDEXES.BAT CALL GOSALESHR_DROP_INDEXES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESMR_DROP_INDEXES.BAT CALL GOSALESMR_DROP_INDEXES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESRT_DROP_INDEXES.BAT CALL GOSALESRT_DROP_INDEXES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESCT_DROP_INDEXES.BAT CALL GOSALESCT_DROP_INDEXES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESDW_DROP_INDEXES.BAT CALL GOSALESDW_DROP_INDEXES.BAT >> GOSALES_DROP.SQL

REM DROP TABLES
IF EXIST GOSALES_DROP_TABLES.BAT CALL GOSALES_DROP_TABLES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESHR_DROP_TABLES.BAT CALL GOSALESHR_DROP_TABLES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESMR_DROP_TABLES.BAT CALL GOSALESMR_DROP_TABLES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESRT_DROP_TABLES.BAT CALL GOSALESRT_DROP_TABLES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESCT_DROP_TABLES.BAT CALL GOSALESCT_DROP_TABLES.BAT >> GOSALES_DROP.SQL
IF EXIST GOSALESDW_DROP_TABLES.BAT CALL GOSALESDW_DROP_TABLES.BAT >> GOSALES_DROP.SQL

