#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE PRIMARY KEYS FOR GOSALESMR SCHEMA
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_RESULTS:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_RESULTS ADD PRIMARY KEY \(PRODUCT_SURVEY_DATE ,
echo ORGANIZATION_CODE ,
echo COUNTRY_CODE_RETAILER ,
echo SALES_BRANCH_CODE ,
echo PRODUCT_NUMBER ,
echo PRODUCT_TOPIC_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_TARGETS:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_TARGETS ADD PRIMARY KEY \(PRODUCT_SURVEY_YEAR ,
echo PRODUCT_SURVEY_MONTH ,
echo PRODUCT_NUMBER ,
echo PRODUCT_TOPIC_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_TOPIC:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_TOPIC ADD PRIMARY KEY \(PRODUCT_TOPIC_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.PROMOTION_BUNDLE_GROUP:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.PROMOTION_BUNDLE_GROUP ADD PRIMARY KEY \(BUNDLE_GROUP_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.PROMOTION_CAMPAIGN:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.PROMOTION_CAMPAIGN ADD PRIMARY KEY \(CAMPAIGN_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.PROMOTION_PLAN:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.PROMOTION_PLAN ADD PRIMARY KEY \(PROMOTION_YEAR ,
echo PROMOTION_MONTH ,
echo ORGANIZATION_CODE ,
echo COUNTRY_CODE_RETAILER ,
echo SALES_BRANCH_CODE ,
echo PRODUCT_NUMBER ,
echo PROMOTION_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.PROMOTIONS:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.PROMOTIONS ADD PRIMARY KEY \(PROMOTION_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_RESULTS:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_RESULTS ADD PRIMARY KEY \(RETAILER_SURVEY_DATE ,
echo ORGANIZATION_CODE ,
echo COUNTRY_CODE_RETAILER ,
echo SALES_BRANCH_CODE ,
echo RETAILER_CODE ,
echo RETAILER_TOPIC_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_TARGETS:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_TARGETS ADD PRIMARY KEY \(RETAILER_TOPIC_CODE ,
echo RETAILER_SURVEY_YEAR ,
echo RETAILER_SURVEY_MONTH \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_TOPIC:
echo @
echo ALTER TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_TOPIC ADD PRIMARY KEY \(RETAILER_TOPIC_CODE \)
echo @
echo
