@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE FOREIGN KEY CONSTRAINTS FOR GOSALESMR SCHEMA
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS ADD CONSTRAINT FK_326448387 FOREIGN KEY ( SALES_BRANCH_CODE  ) REFERENCES %GOSALES_SCHEMA%.BRANCH( BRANCH_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS ADD CONSTRAINT FK_342448444 FOREIGN KEY ( COUNTRY_CODE_RETAILER ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS ADD CONSTRAINT FK_358448501 FOREIGN KEY ( ORGANIZATION_CODE  ) REFERENCES %GOSALESHR_SCHEMA%.ORGANIZATION( ORGANIZATION_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS ADD CONSTRAINT FK_374448558 FOREIGN KEY ( PRODUCT_NUMBER     ) REFERENCES %GOSALES_SCHEMA%.PRODUCT( PRODUCT_NUMBER)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_RESULTS ADD CONSTRAINT FK_390448615 FOREIGN KEY ( PRODUCT_TOPIC_CODE ) REFERENCES %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TOPIC( PRODUCT_TOPIC_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TARGETS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TARGETS ADD CONSTRAINT FK_406448672 FOREIGN KEY ( PRODUCT_NUMBER     ) REFERENCES %GOSALES_SCHEMA%.PRODUCT( PRODUCT_NUMBER)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TARGETS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TARGETS ADD CONSTRAINT FK_422448729 FOREIGN KEY ( PRODUCT_TOPIC_CODE ) REFERENCES %GOSALESMR_SCHEMA%.PRODUCT_SURVEY_TOPIC( PRODUCT_TOPIC_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PROMOTIONS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PROMOTIONS ADD CONSTRAINT FK_454448843 FOREIGN KEY ( BUNDLE_GROUP_CODE  ) REFERENCES %GOSALESMR_SCHEMA%.PROMOTION_BUNDLE_GROUP( BUNDLE_GROUP_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PROMOTIONS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PROMOTIONS ADD CONSTRAINT FK_470448900 FOREIGN KEY ( CAMPAIGN_CODE      ) REFERENCES %GOSALESMR_SCHEMA%.PROMOTION_CAMPAIGN( CAMPAIGN_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN ADD CONSTRAINT FK_486448957 FOREIGN KEY ( SALES_BRANCH_CODE  ) REFERENCES %GOSALES_SCHEMA%.BRANCH( BRANCH_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN ADD CONSTRAINT FK_502449014 FOREIGN KEY ( COUNTRY_CODE_RETAILER ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN ADD CONSTRAINT FK_518449071 FOREIGN KEY ( ORGANIZATION_CODE  ) REFERENCES %GOSALESHR_SCHEMA%.ORGANIZATION( ORGANIZATION_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN ADD CONSTRAINT FK_534449128 FOREIGN KEY ( PRODUCT_NUMBER     ) REFERENCES %GOSALES_SCHEMA%.PRODUCT( PRODUCT_NUMBER)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.PROMOTION_PLAN ADD CONSTRAINT FK_550449185 FOREIGN KEY ( PROMOTION_CODE     ) REFERENCES %GOSALESMR_SCHEMA%.PROMOTIONS( PROMOTION_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS ADD CONSTRAINT FK_1582784846 FOREIGN KEY ( SALES_BRANCH_CODE  ) REFERENCES %GOSALES_SCHEMA%.BRANCH( BRANCH_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS ADD CONSTRAINT FK_1598784903 FOREIGN KEY ( COUNTRY_CODE_RETAILER ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS ADD CONSTRAINT FK_838450211 FOREIGN KEY ( RETAILER_CODE      ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER( RETAILER_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS ADD CONSTRAINT FK_886450382 FOREIGN KEY ( ORGANIZATION_CODE  ) REFERENCES %GOSALESHR_SCHEMA%.ORGANIZATION( ORGANIZATION_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_RESULTS ADD CONSTRAINT FK_918450496 FOREIGN KEY ( RETAILER_TOPIC_CODE ) REFERENCES %GOSALESMR_SCHEMA%.RETAILER_SURVEY_TOPIC( RETAILER_TOPIC_CODE)
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_TARGETS:
echo @
echo ALTER TABLE %GOSALESMR_SCHEMA%.RETAILER_SURVEY_TARGETS ADD CONSTRAINT FK_934450553 FOREIGN KEY ( RETAILER_TOPIC_CODE ) REFERENCES %GOSALESMR_SCHEMA%.RETAILER_SURVEY_TOPIC( RETAILER_TOPIC_CODE)
echo @
echo.
