@ECHO OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
ECHO THIS SCRIPT MUST BE CALLED FROM "setupGSDB.bat" - QUITTING
GOTO :EOF
:CONTINUE_RUN

REM ************************************************************************
REM Get the database version for the database comment
REM ************************************************************************
SET GOSALES_DB_COMMENT=%DATE% %TIME%

IF NOT EXIST "%GOSALES_IMPORT_FILE_DIR%GOSALES_VERSION.txt" goto CREATE_DB
for /f "usebackq tokens=*" %%K in ("%GOSALES_IMPORT_FILE_DIR%GOSALES_VERSION.txt") do SET GOSALES_DB_COMMENT=%%K

:CREATE_DB
echo -----------------------------------------------
echo -- CREATE THE %GOSALES_INST% DATABASE
echo -----------------------------------------------
echo.
echo CREATE DATABASE %GOSALES_INST% %GOSALES_DB_CREATE_AUTO_STORAGE% 
echo using codeset UTF-8 territory %GOSALES_DB_TERRITORY% %GOSALES_DB_PAGESIZE%
echo with '%GOSALES_DB_COMMENT%'
echo @
echo.

