@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE FOREIGN KEY CONSTRAINTS FOR GOSALESDW SCHEMA
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_INVENTORY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_INVENTORY_FACT ADD CONSTRAINT FK_2067642559 FOREIGN KEY ( BRANCH_KEY         ) REFERENCES %GOSALESDW_SCHEMA%.GO_BRANCH_DIM( BRANCH_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_INVENTORY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_INVENTORY_FACT ADD CONSTRAINT FK_2083642616 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_INVENTORY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_INVENTORY_FACT ADD CONSTRAINT FK_2099642673 FOREIGN KEY ( PRODUCT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM( PRODUCT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_PRODUCT_FORECAST_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_PRODUCT_FORECAST_FACT ADD CONSTRAINT FK_2115642730 FOREIGN KEY ( BRANCH_KEY         ) REFERENCES %GOSALESDW_SCHEMA%.GO_BRANCH_DIM( BRANCH_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_PRODUCT_FORECAST_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_PRODUCT_FORECAST_FACT ADD CONSTRAINT FK_2131642787 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT ADD CONSTRAINT FK_112159595 FOREIGN KEY ( RETAILER_SITE_KEY  ) REFERENCES %GOSALESDW_SCHEMA%.SLS_RTL_DIM( RETAILER_SITE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT ADD CONSTRAINT FK_159196 FOREIGN KEY ( RETURN_REASON_KEY  ) REFERENCES %GOSALESDW_SCHEMA%.DIST_RETURN_REASON_DIM( RETURN_REASON_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT ADD CONSTRAINT FK_16159253 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT ADD CONSTRAINT FK_32159310 FOREIGN KEY ( BRANCH_KEY         ) REFERENCES %GOSALESDW_SCHEMA%.GO_BRANCH_DIM( BRANCH_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT ADD CONSTRAINT FK_48159367 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT ADD CONSTRAINT FK_64159424 FOREIGN KEY ( DAY_KEY            ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT ADD CONSTRAINT FK_80159481 FOREIGN KEY ( ORDER_METHOD_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.SLS_ORDER_METHOD_DIM( ORDER_METHOD_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.DIST_RETURNED_ITEMS_FACT ADD CONSTRAINT FK_96159538 FOREIGN KEY ( PRODUCT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM( PRODUCT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM ADD CONSTRAINT FK_1731641362 FOREIGN KEY ( POSITION_CODE      ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_LOOKUP( POSITION_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM ADD CONSTRAINT FK_1747641419 FOREIGN KEY ( TERMINATION_CODE   ) REFERENCES %GOSALESDW_SCHEMA%.EMP_TERMINATION_LOOKUP( TERMINATION_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM ADD CONSTRAINT FK_1763641476 FOREIGN KEY ( GENDER_CODE        ) REFERENCES %GOSALESDW_SCHEMA%.GO_GENDER_LOOKUP( GENDER_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT ADD CONSTRAINT FK_144159709 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT ADD CONSTRAINT FK_160159766 FOREIGN KEY ( EXPENSE_TYPE_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EXPENSE_TYPE_DIM( EXPENSE_TYPE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT ADD CONSTRAINT FK_176159823 FOREIGN KEY ( POSITION_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_DIM( POSITION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT ADD CONSTRAINT FK_192159880 FOREIGN KEY ( ACCOUNT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.FIN_ACCOUNT_DIM( ACCOUNT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT ADD CONSTRAINT FK_208159937 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_FACT ADD CONSTRAINT FK_224159994 FOREIGN KEY ( DAY_KEY            ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_PLAN_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_PLAN_FACT ADD CONSTRAINT FK_240160051 FOREIGN KEY ( EXPENSE_TYPE_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EXPENSE_TYPE_DIM( EXPENSE_TYPE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_PLAN_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_PLAN_FACT ADD CONSTRAINT FK_256160108 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_TYPE_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_EXPENSE_TYPE_DIM ADD CONSTRAINT FK_1779641533 FOREIGN KEY ( EXPENSE_UNIT_CODE  ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EXPENSE_UNIT_LOOKUP( EXPENSE_UNIT_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_POSITION_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_POSITION_DIM ADD CONSTRAINT FK_1795641590 FOREIGN KEY ( POSITION_CODE      ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_LOOKUP( POSITION_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_POSITION_SUMMARY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_POSITION_SUMMARY_FACT ADD CONSTRAINT FK_272160165 FOREIGN KEY ( POSITION_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_DIM( POSITION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_POSITION_SUMMARY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_POSITION_SUMMARY_FACT ADD CONSTRAINT FK_288160222 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_POSITION_SUMMARY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_POSITION_SUMMARY_FACT ADD CONSTRAINT FK_304160279 FOREIGN KEY ( DAY_KEY            ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT ADD CONSTRAINT FK_320160336 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT ADD CONSTRAINT FK_336160393 FOREIGN KEY ( POSITION_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_DIM( POSITION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT ADD CONSTRAINT FK_352160450 FOREIGN KEY ( EMPLOYEE_RANKING_KEY ) REFERENCES %GOSALESDW_SCHEMA%.EMP_RANKING_DIM( EMPLOYEE_RANKING_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT ADD CONSTRAINT FK_368160507 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RANKING_FACT ADD CONSTRAINT FK_384160564 FOREIGN KEY ( DAY_KEY            ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT ADD CONSTRAINT FK_400160621 FOREIGN KEY ( POSITION_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_DIM( POSITION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT ADD CONSTRAINT FK_416160678 FOREIGN KEY ( RECRUITMENT_MEDIUM_KEY ) REFERENCES %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_DIM( RECRUITMENT_MEDIUM_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT ADD CONSTRAINT FK_432160735 FOREIGN KEY ( BRANCH_KEY         ) REFERENCES %GOSALESDW_SCHEMA%.GO_BRANCH_DIM( BRANCH_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT ADD CONSTRAINT FK_448160792 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_RECRUITMENT_FACT ADD CONSTRAINT FK_464160849 FOREIGN KEY ( POST_DAY_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT ADD CONSTRAINT FK_480160906 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT ADD CONSTRAINT FK_496160963 FOREIGN KEY ( POSITION_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_DIM( POSITION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT ADD CONSTRAINT FK_512161020 FOREIGN KEY ( SUCCESSOR_STATUS_KEY ) REFERENCES %GOSALESDW_SCHEMA%.EMP_SUCCESSION_STATUS_DIM( SUCCESSOR_STATUS_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT ADD CONSTRAINT FK_528161077 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUCCESSION_FACT ADD CONSTRAINT FK_544161134 FOREIGN KEY ( DAY_KEY            ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUMMARY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUMMARY_FACT ADD CONSTRAINT FK_560161191 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUMMARY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUMMARY_FACT ADD CONSTRAINT FK_576161248 FOREIGN KEY ( POSITION_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_DIM( POSITION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUMMARY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUMMARY_FACT ADD CONSTRAINT FK_592161305 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SUMMARY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SUMMARY_FACT ADD CONSTRAINT FK_608161362 FOREIGN KEY ( DAY_KEY            ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT ADD CONSTRAINT FK_624161419 FOREIGN KEY ( POSITION_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_DIM( POSITION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT ADD CONSTRAINT FK_640161476 FOREIGN KEY ( EMPLOYEE_TOPIC_KEY ) REFERENCES %GOSALESDW_SCHEMA%.EMP_SURVEY_TOPIC_DIM( EMPLOYEE_TOPIC_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT ADD CONSTRAINT FK_656161533 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT ADD CONSTRAINT FK_672161590 FOREIGN KEY ( SATISFACTION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_SATISFACTION_DIM( SATISFACTION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_FACT ADD CONSTRAINT FK_688161647 FOREIGN KEY ( DAY_KEY            ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_TARG_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_SURVEY_TARG_FACT ADD CONSTRAINT FK_1811641647 FOREIGN KEY ( EMPLOYEE_TOPIC_KEY ) REFERENCES %GOSALESDW_SCHEMA%.EMP_SURVEY_TOPIC_DIM( EMPLOYEE_TOPIC_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT ADD CONSTRAINT FK_704161704 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT ADD CONSTRAINT FK_720161761 FOREIGN KEY ( EXPENSE_TYPE_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EXPENSE_TYPE_DIM( EXPENSE_TYPE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT ADD CONSTRAINT FK_736161818 FOREIGN KEY ( POSITION_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_POSITION_DIM( POSITION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT ADD CONSTRAINT FK_752161875 FOREIGN KEY ( TRAINING_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_TRAINING_DIM( TRAINING_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT ADD CONSTRAINT FK_768161932 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.EMP_TRAINING_FACT ADD CONSTRAINT FK_784161989 FOREIGN KEY ( DAY_KEY            ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.FIN_ACCOUNT_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.FIN_ACCOUNT_DIM ADD CONSTRAINT FK_1827641704 FOREIGN KEY ( ACCOUNT_CLASS_CODE ) REFERENCES %GOSALESDW_SCHEMA%.FIN_ACCOUNT_CLASS_LOOKUP( ACCOUNT_CLASS_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.FIN_ACCOUNT_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.FIN_ACCOUNT_DIM ADD CONSTRAINT FK_1843641761 FOREIGN KEY ( ACCOUNT_CODE       ) REFERENCES %GOSALESDW_SCHEMA%.FIN_ACCOUNT_NAME_LOOKUP( ACCOUNT_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.FIN_ACCOUNT_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.FIN_ACCOUNT_DIM ADD CONSTRAINT FK_1859641818 FOREIGN KEY ( ACCOUNT_TYPE_CODE  ) REFERENCES %GOSALESDW_SCHEMA%.FIN_ACCOUNT_TYPE_LOOKUP( ACCOUNT_TYPE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.FIN_FINANCE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.FIN_FINANCE_FACT ADD CONSTRAINT FK_800162046 FOREIGN KEY ( ACCOUNT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.FIN_ACCOUNT_DIM( ACCOUNT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.FIN_FINANCE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.FIN_FINANCE_FACT ADD CONSTRAINT FK_816162103 FOREIGN KEY ( SUBMISSION_KEY     ) REFERENCES %GOSALESDW_SCHEMA%.FIN_SUBM_DIM( SUBMISSION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.FIN_FINANCE_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.FIN_FINANCE_FACT ADD CONSTRAINT FK_832162160 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.FIN_SUBM_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.FIN_SUBM_DIM ADD CONSTRAINT FK_1875641875 FOREIGN KEY ( SUBMISSION_CURRENCY_CODE ) REFERENCES %GOSALESDW_SCHEMA%.FIN_SUBM_CURRENCY_LOOKUP( SUBMISSION_CURRENCY_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.FIN_SUBM_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.FIN_SUBM_DIM ADD CONSTRAINT FK_1891641932 FOREIGN KEY ( SUBMISSION_TYPE_CODE ) REFERENCES %GOSALESDW_SCHEMA%.FIN_SUBM_TYPE_LOOKUP( SUBMISSION_TYPE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.GO_ORG_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.GO_ORG_DIM ADD CONSTRAINT FK_1648165067 FOREIGN KEY ( ORGANIZATION_CODE  ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_NAME_LOOKUP( ORGANIZATION_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.GO_TIME_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.GO_TIME_DIM ADD CONSTRAINT FK_1923642046 FOREIGN KEY ( QUARTER_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_QUARTER_LOOKUP( QUARTER_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT ADD CONSTRAINT FK_848162217 FOREIGN KEY ( BRANCH_KEY         ) REFERENCES %GOSALESDW_SCHEMA%.GO_BRANCH_DIM( BRANCH_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT ADD CONSTRAINT FK_864162274 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT ADD CONSTRAINT FK_880162331 FOREIGN KEY ( RTL_COUNTRY_KEY    ) REFERENCES %GOSALESDW_SCHEMA%.GO_REGION_DIM( COUNTRY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT ADD CONSTRAINT FK_896162388 FOREIGN KEY ( PRODUCT_SURVEY_KEY ) REFERENCES %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_DIM( PRODUCT_SURVEY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_FACT ADD CONSTRAINT FK_912162445 FOREIGN KEY ( PRODUCT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM( PRODUCT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROD_SURVEY_TARG_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROD_SURVEY_TARG_FACT ADD CONSTRAINT FK_928162502 FOREIGN KEY ( PRODUCT_SURVEY_KEY ) REFERENCES %GOSALESDW_SCHEMA%.MRK_PRODUCT_SURVEY_DIM( PRODUCT_SURVEY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROD_SURVEY_TARG_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROD_SURVEY_TARG_FACT ADD CONSTRAINT FK_944162559 FOREIGN KEY ( PRODUCT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM( PRODUCT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_DIM ADD CONSTRAINT FK_1939642103 FOREIGN KEY ( BUNDLE_GROUP_CODE  ) REFERENCES %GOSALESDW_SCHEMA%.MRK_BUNDLE_GROUP_LOOKUP( BUNDLE_GROUP_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_DIM ADD CONSTRAINT FK_1955642160 FOREIGN KEY ( CAMPAIGN_CODE      ) REFERENCES %GOSALESDW_SCHEMA%.MRK_CAMPAIGN_LOOKUP( CAMPAIGN_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT ADD CONSTRAINT FK_1008162787 FOREIGN KEY ( ORDER_DAY_KEY      ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT ADD CONSTRAINT FK_1024162844 FOREIGN KEY ( PROMOTION_KEY      ) REFERENCES %GOSALESDW_SCHEMA%.MRK_PROMOTION_DIM( PROMOTION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT ADD CONSTRAINT FK_1040162901 FOREIGN KEY ( PRODUCT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM( PRODUCT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT ADD CONSTRAINT FK_960162616 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT ADD CONSTRAINT FK_976162673 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_FACT ADD CONSTRAINT FK_992162730 FOREIGN KEY ( RTL_COUNTRY_KEY    ) REFERENCES %GOSALESDW_SCHEMA%.GO_REGION_DIM( COUNTRY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT ADD CONSTRAINT FK_1072163015 FOREIGN KEY ( BRANCH_KEY         ) REFERENCES %GOSALESDW_SCHEMA%.GO_BRANCH_DIM( BRANCH_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT ADD CONSTRAINT FK_1088163072 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT ADD CONSTRAINT FK_1104163129 FOREIGN KEY ( RTL_COUNTRY_KEY    ) REFERENCES %GOSALESDW_SCHEMA%.GO_REGION_DIM( COUNTRY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT ADD CONSTRAINT FK_1120163186 FOREIGN KEY ( PROMOTION_KEY      ) REFERENCES %GOSALESDW_SCHEMA%.MRK_PROMOTION_DIM( PROMOTION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_PROMOTION_PLAN_FACT ADD CONSTRAINT FK_1136163243 FOREIGN KEY ( PRODUCT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM( PRODUCT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_FACT ADD CONSTRAINT FK_1152163300 FOREIGN KEY ( BRANCH_KEY         ) REFERENCES %GOSALESDW_SCHEMA%.GO_BRANCH_DIM( BRANCH_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_FACT ADD CONSTRAINT FK_1168163357 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_FACT ADD CONSTRAINT FK_1184163414 FOREIGN KEY ( RTL_COUNTRY_KEY    ) REFERENCES %GOSALESDW_SCHEMA%.GO_REGION_DIM( COUNTRY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_FACT ADD CONSTRAINT FK_1200163471 FOREIGN KEY ( RETAILER_SURVEY_KEY ) REFERENCES %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_DIM( RETAILER_SURVEY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_TARG_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_TARG_FACT ADD CONSTRAINT FK_1971642217 FOREIGN KEY ( RETAILER_SURVEY_KEY ) REFERENCES %GOSALESDW_SCHEMA%.MRK_RTL_SURVEY_DIM( RETAILER_SURVEY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM ADD CONSTRAINT FK_1987642274 FOREIGN KEY ( PRODUCT_BRAND_CODE ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_BRAND_LOOKUP( PRODUCT_BRAND_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM ADD CONSTRAINT FK_2003642331 FOREIGN KEY ( PRODUCT_COLOR_CODE ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_COLOR_LOOKUP( PRODUCT_COLOR_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM ADD CONSTRAINT FK_2019642388 FOREIGN KEY ( PRODUCT_LINE_CODE  ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_LINE_LOOKUP( PRODUCT_LINE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM ADD CONSTRAINT FK_2035642445 FOREIGN KEY ( PRODUCT_SIZE_CODE  ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_SIZE_LOOKUP( PRODUCT_SIZE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM ADD CONSTRAINT FK_2051642502 FOREIGN KEY ( PRODUCT_TYPE_CODE  ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_TYPE_LOOKUP( PRODUCT_TYPE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_1216163528 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_1232163585 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_1248163642 FOREIGN KEY ( ORDER_DAY_KEY      ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_1264163699 FOREIGN KEY ( PROMOTION_KEY      ) REFERENCES %GOSALESDW_SCHEMA%.MRK_PROMOTION_DIM( PROMOTION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_1280163756 FOREIGN KEY ( ORDER_METHOD_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.SLS_ORDER_METHOD_DIM( ORDER_METHOD_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_1296163813 FOREIGN KEY ( PRODUCT_KEY        ) REFERENCES %GOSALESDW_SCHEMA%.SLS_PRODUCT_DIM( PRODUCT_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_732685808 FOREIGN KEY ( RETAILER_SITE_KEY  ) REFERENCES %GOSALESDW_SCHEMA%.SLS_RTL_DIM( RETAILER_SITE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_748685865 FOREIGN KEY ( SHIP_DAY_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_780685979 FOREIGN KEY ( CLOSE_DAY_KEY      ) REFERENCES %GOSALESDW_SCHEMA%.GO_TIME_DIM( DAY_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_FACT ADD CONSTRAINT FK_780685980 FOREIGN KEY ( SALES_ORDER_KEY    ) REFERENCES %GOSALESDW_SCHEMA%.SLS_SALES_ORDER_DIM( SALES_ORDER_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_TARG_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_TARG_FACT ADD CONSTRAINT FK_1344163984 FOREIGN KEY ( EMPLOYEE_KEY       ) REFERENCES %GOSALESDW_SCHEMA%.EMP_EMPLOYEE_DIM( EMPLOYEE_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_TARG_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_TARG_FACT ADD CONSTRAINT FK_1360164041 FOREIGN KEY ( ORGANIZATION_KEY   ) REFERENCES %GOSALESDW_SCHEMA%.GO_ORG_DIM( ORGANIZATION_KEY) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALESDW_SCHEMA%.SLS_SALES_TARG_FACT:
echo @
echo ALTER TABLE %GOSALESDW_SCHEMA%.SLS_SALES_TARG_FACT ADD CONSTRAINT FK_1376164098 FOREIGN KEY ( RTL_COUNTRY_KEY    ) REFERENCES %GOSALESDW_SCHEMA%.GO_REGION_DIM( COUNTRY_KEY) NOT ENFORCED
echo @
echo.
